Retrieves all the job approvals
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| user_id |
Foreign key, user that makes the approval |
globally unique identifier |
Required |
| ready_for_multi_approval |
Inform if this is a temp approval prepared for a future approval with the customer (multi approval) |
boolean | |
| is_daily_approval |
Intermediate approval of full approval |
boolean | |
| contact_id |
Foreign key of contact, that signed the approval |
globally unique identifier | |
| contact_name |
Contact fullname that sign the approval if not already exists |
string |
Max length: 255 |
| customer_remarks |
Remarks of the customer during the approval |
string |
Max length: 4000 |
| date_generated |
Local Date+Time of the approval generation |
date | |
| additional_email |
Additional emails that should receive the approval pdf |
string |
Max length: 4000 |
| is_signed |
Inform if a signature is available (cf db_signature) |
boolean | |
| job_status_id |
Job Status that will be used to alter the jobs (WaitingFurtherAction,Completed) |
globally unique identifier | |
| rating |
Rating (0,5) the quality of the jobs |
integer | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "0fe95d2d-0645-49bc-86db-8d7d099ae280",
"jobs_id": "d544664f-e666-4e07-b2e7-6e461bd73095",
"user_id": "d3045261-f813-4afc-8423-e38146782872",
"ready_for_multi_approval": true,
"is_daily_approval": true,
"contact_id": "ec16a656-b7f7-467a-af58-b8ed45fb1b35",
"contact_name": "sample string 7",
"customer_remarks": "sample string 8",
"date_generated": "2026-02-24T16:12:12.354443+00:00",
"additional_email": "sample string 10",
"is_signed": true,
"job_status_id": "fffce295-0b07-4043-b241-e7b115ff9d1e",
"rating": 13,
"modified_dateutc": "2026-02-24T16:12:12.354443+00:00"
}